- Erste Schritte
- Authentication
- Scopes und Berechtigungen
- Plattformverwaltungs-APIs

Test Cloud-API-Handbuch
Roboterkonten löschen
Löscht mehrere Roboterkonten aus einer Organisation, basierend auf der Organisations-ID.
API-Endpunkt
DELETE {accessURL}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
Scopes
Folgende Scopes sind erforderlich:
- PM.RobotAccount
- PM.RobotAccount.Write
Anforderungsheader
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Um das {access_token} zu erhalten, müssen Sie sich mit einer der hier beschriebenen Methoden authentifizieren.
Pfadparameter
| Pfadparameter | Datentyp | Beschreibung |
|---|---|---|
partitionGlobalId (erforderlich) | String | Die ID der Organisation, für die Sie die Roboterkonten abrufen möchten. |
Anforderungstext
Der Anforderungstext enthält die Liste der Roboterkonten-IDs, die Sie per Massenlöschung aus der Organisation löschen möchten.
{
"robotAccountIDs": [
"string",
"string"
]
}
{
"robotAccountIDs": [
"string",
"string"
]
}
Antworten
200 OK
Die angegebenen Roboterkonten werden aus der Organisation gelöscht.
Beispielanforderung
Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.
- Ihre
{baseURL}ist: https://cloud.uipath.com/{organizationName}/identity_ - Ihre
{access_token}ist:1234(aus Gründen der Länge). - Die
{partitionGlobalId}lautet:3fa85f64-5717-4562-b3fc-2c963f66afa6 - Die Roboterkonten, die Sie löschen möchten, haben die folgenden IDs:
- Bot1:
11-xy - Bot2:
22-tz
- Bot1:
Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):
curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"robotAccountIDs": [
"11-xy",
"22-tz"
]
}'
curl --location --request DELETE 'https://cloud.uipath.com/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"robotAccountIDs": [
"11-xy",
"22-tz"
]
}'